Index: /trunk/Softwares/Basic_test/Makefile
===================================================================
--- /trunk/Softwares/Basic_test/Makefile	(revision 88)
+++ /trunk/Softwares/Basic_test/Makefile	(revision 88)
@@ -0,0 +1,130 @@
+# common definition
+include			Makefile.morpheo
+
+#-----[ Directory ]---------------------------------------------------------------
+
+DIR_LOCAL    		= .
+DIR_LOCAL_C		= $(DIR_LOCAL)/src/c
+DIR_LOCAL_ASM		= $(DIR_LOCAL)/src/asm
+DIR_LOCAL_SYS		= $(DIR_LOCAL)/src/sys
+DIR_LOCAL_INC       	= $(DIR_LOCAL)/src/c/include
+
+DIR_GLOBAL     		= $(SOFT)/Global.or32
+DIR_GLOBAL_C		= $(DIR_GLOBAL)/src/c
+DIR_GLOBAL_ASM		= $(DIR_GLOBAL)/src/asm
+DIR_GLOBAL_SYS		= $(DIR_GLOBAL)/src/sys
+DIR_GLOBAL_INC       	= $(DIR_GLOBAL)/include
+
+DIR_INC			= -I$(DIR_LOCAL_INC) -I$(DIR_GLOBAL_INC)
+DIR_OBJ			= obj
+DIR_BIN			= bin
+
+EXE			= soft
+
+#-----[ Files ]-------------------------------------------------------------------
+OBJ_ASM			= $(patsubst $(DIR_LOCAL_ASM)/%.s,$(DIR_OBJ)/%.o,$(wildcard $(DIR_LOCAL_ASM)/*.s))	\
+			  $(patsubst $(DIR_GLOBAL_ASM)/%.s,$(DIR_OBJ)/%.o,$(wildcard $(DIR_GLOBAL_ASM)/*.s))
+OBJ_SYS			= $(patsubst $(DIR_LOCAL_SYS)/%.s,$(DIR_OBJ)/%.o,$(wildcard $(DIR_LOCAL_SYS)/*.s))	\
+			  $(patsubst $(DIR_GLOBAL_SYS)/%.s,$(DIR_OBJ)/%.o,$(wildcard $(DIR_GLOBAL_SYS)/*.s))
+OBJ_C           	= $(patsubst $(DIR_LOCAL_C)/%.c,$(DIR_OBJ)/%.o,$(wildcard $(DIR_LOCAL_C)/*.c))		\
+			  $(patsubst $(DIR_GLOBAL_C)/%.c,$(DIR_OBJ)/%.o,$(wildcard $(DIR_GLOBAL_C)/*.c))
+
+OBJ			= $(OBJ_SYS) $(OBJ_ASM) $(OBJ_C)
+
+#-----[ Rules ]-------------------------------------------------------------------
+.PRECIOUS		: $(DIR_BIN)/%.x $(DIR_OBJ)/%.o $(DIR_OBJ)/%.a
+
+all 			: test_env $(DIR_BIN)/$(EXE).x.txt
+
+$(DIR_BIN)/%.x.txt	: $(DIR_BIN)/%.x
+			@\
+			$(ECHO) "List symbols        of $*";\
+			$(NM)      $(NM_OPT)      $^ > $@.nm;\
+			$(ECHO) "Display information of $*";\
+			$(OBJDUMP) $(OBJDUMP_OPT) $^ > $@;
+
+$(DIR_BIN)/%.x		: $(OBJ_SYS) $(OBJ) 
+			@\
+			$(ECHO) "Linkage             of $*";\
+			$(LD) -o $@ $^ $(LD_OPT);
+
+$(DIR_OBJ)/%.o		: $(DIR_LOCAL_ASM)/%.s	
+			@\
+			$(ECHO) "Compile             of $*";\
+			$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ ;\
+			$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ ;
+#			@$(AS) $(AS_OPT) $^ -o $@
+
+$(DIR_OBJ)/%.o		: $(DIR_LOCAL_SYS)/%.s	
+			@\
+			$(ECHO) "Compile             of $*";\
+			$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ ;\
+			$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ ;
+#			@$(AS) $(AS_OPT) $^ -o $@
+
+$(DIR_OBJ)/%.o		: $(DIR_LOCAL_C)/%.c
+			@\
+			$(ECHO) "Compile             of $*";\
+			$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ ;\
+			$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ ;
+
+$(DIR_OBJ)/%.o		: $(DIR_GLOBAL_ASM)/%.s	
+			@\
+			$(ECHO) "Compile             of $*";\
+			$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ ;\
+			$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ ;
+#			@$(AS) $(AS_OPT) $^ -o $@
+
+$(DIR_OBJ)/%.o		: $(DIR_GLOBAL_SYS)/%.s	
+			@\
+			$(ECHO) "Compile             of $*";\
+			$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ ;\
+			$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ ;
+#			@$(AS) $(AS_OPT) $^ -o $@
+
+$(DIR_OBJ)/%.o		: $(DIR_GLOBAL_C)/%.c
+			@\
+			$(ECHO) "Compile             of $*";\
+			$(CC) $(CC_OPT) $(DIR_INC)    -o $@   -c $^ ;\
+			$(CC) $(CC_OPT) $(DIR_INC) -S -o $@.s -c $^ ;
+
+#-----[ Environement ]------------------------------------------------------------
+test_env		:
+# ifeq ($(origin TOOLS), undefined)
+# 			$(error "variable TOOLS is undefined");
+# endif
+# ifeq ($(origin SOFT), undefined)
+# 			$(error "variable SOFT  is undefined");
+# endif
+			@$(MKDIR) $(DIR_OBJ) $(DIR_BIN)
+
+#-----[ Maintenance ]-------------------------------------------------------------
+clean 			:
+			@\
+			$(ECHO) "Delete     temporary files              "`$(PWD)`;\
+			$(RM) $(DIR_OBJ) $(DIR_BIN);\
+			$(MAKE) clean_rec DIR_CLEAN=.;
+
+#Clean recursive
+clean_rec		:
+			@\
+			$(ECHO) "Delete     temporary files in directory $(DIR_CLEAN)";\
+			$(RM) -f $(DIR_CLEAN)/*~;\
+			for files in `$(LS) $(DIR_CLEAN)`; do					\
+			    	if $(TEST) -d $(DIR_CLEAN)/$$files; 				\
+				then 								\
+					$(MAKE) clean_rec DIR_CLEAN=$(DIR_CLEAN)/$$files;	\
+				fi; 								\
+			done;
+
+#-----[ Help ]--------------------------------------------------------------------
+help			:
+			@\
+			$(ECHO) "";\
+			$(ECHO) "List of directive   : ";\
+			$(ECHO) " * make             : Compile the software";\
+			$(ECHO) " * make clean       : Erase all files generates";\
+			$(ECHO) " * make bench_list  : View all benchmark";\
+			$(ECHO) " * make bench_exec  : Print the file \"$(FILE_BENCH)\" - it's the Workload";\
+			$(ECHO) " * make bench       : Compile the Benchmark Suite";\
+			$(ECHO) "";
Index: /trunk/Softwares/Basic_test/Makefile.morpheo
===================================================================
--- /trunk/Softwares/Basic_test/Makefile.morpheo	(revision 88)
+++ /trunk/Softwares/Basic_test/Makefile.morpheo	(revision 88)
@@ -0,0 +1,53 @@
+#-----[ Usual commands ]----------------------------------------------------------
+RM			= rm -fr
+MKDIR			= mkdir -p
+ECHO			= echo
+CCACHE			=
+LS			= ls
+TEST			= test
+CAT			= cat
+READ			= read
+SED			= sed
+MAKE			= make -s
+CD			= cd
+PWD			= pwd
+
+#-----[ Directory ]---------------------------------------------------------------
+DIR_LDSCRIPT		= $(TOOLS)/newlib/libgloss/or32
+
+DIR_INCLUDE		= -I$(TOOLS)/newlib/newlib/libc/include/	\
+			  -I$(TOOLS)/newlib/libgloss/or32/include/
+DIR_LIBRARY		= -L$(TOOLS)/newlib/or32-elf/newlib/ 		\
+			  -L$(TOOLS)/newlib/or32-elf/libgloss/or32/ 	\
+			  -L$(TOOLS)/or1k/lib/gcc/or32-elf/3.4.4/
+
+#-----[ To the compilation ]------------------------------------------------------
+OPTIMIZE		= -O3 -fomit-frame-pointer -fdelayed-branch -mror -mcmov -msext -mhard-mul -msoft-div -msoft-float
+#Option :
+# -fomit-frame-pointer 			: n'utilise pas le pointeur de frame
+# -fdelayed-branch   			: utilise les delayed slot
+# ON		OFF
+# -mror   	-mno-ror              	: utilisation de l'instruction l.ror
+# -mcmov   	-mno-cmov       	: utilisation de l'instruction l.cmov
+# -msext	-mno-sext		: utilisation des instructions l.extXX
+# -mhard-mul	-msoft-mul	        : utilisation du multiplieur materiel
+# -mhard-div	-msoft-div              : utilisation du diviseur materiel
+# -mhard-float	-msoft-float      	: utilisation du flottant materiel
+# -msibcall     -mno-sibcall            : Enable sibcall optimization
+# -mlogue	-mno-logue 		: Schedule pro/epi-logue.
+# -maj		-mno-aj     		: Use aligned jumps.
+
+# Tools
+CC			= $(CCACHE) or32-elf-gcc
+AS			=           or32-elf-as
+LD			=           or32-elf-ld
+OBJDUMP			=           or32-elf-objdump
+NM           		=           or32-elf-nm
+
+# Tools's option
+CC_OPT			= $(DIR_INCLUDE) $(OPTIMIZE) -Wlong-long -D__or32__ -DHAVE_LIBC -D__DYNAMIC_REENT__
+# -DHAVE_LIBC
+AS_OPT			=
+LD_OPT			= -T$(DIR_LDSCRIPT)/or32.ld $(DIR_LIBRARY)  -lor32 -lc -lor32 -lc -lm -lgcc
+OBJDUMP_OPT		= -D
+NM_OPT			= -n
Index: /trunk/Softwares/Basic_test/src/asm/asm_000_none.s
===================================================================
--- /trunk/Softwares/Basic_test/src/asm/asm_000_none.s	(revision 88)
+++ /trunk/Softwares/Basic_test/src/asm/asm_000_none.s	(revision 88)
@@ -0,0 +1,36 @@
+/********************************************
+ * files               : asm_000_none.s
+ * authors             : Rosiere Mathieu
+ * date                : 2006/06/20
+ ********************************************
+ * input               : -
+ * output              : 1 test OK
+ *                       0 test KO
+ ********************************************
+ * test                :
+ * warning             : instruction ok 
+ *                         l.addi
+ *                         l.and
+ *                         l.jal
+ *                         l.jr
+ ********************************************
+ */
+	.file	"asm_000_none.s"
+	.section .text
+	.align	4
+
+	.global _asm_000_none
+_asm_000_none :	
+	/* save context */
+	l.addi	r1,r1,0
+
+	/* Return is KO (default)*/
+	l.and   r11,r0,r0
+	
+_asm_000_none_ok :	
+	l.addi	r11,r0,1
+_asm_000_none_ko :
+	
+	/* load context */
+	l.jr	r9
+	l.addi	r1,r1,0
Index: /trunk/Softwares/Basic_test/src/asm/asm_001_add.s
===================================================================
--- /trunk/Softwares/Basic_test/src/asm/asm_001_add.s	(revision 88)
+++ /trunk/Softwares/Basic_test/src/asm/asm_001_add.s	(revision 88)
@@ -0,0 +1,71 @@
+/********************************************
+ * files               : asm_001_add.s
+ * authors             : Rosiere Mathieu
+ * date                : 2006/06/20
+ ********************************************
+ * input               : -
+ * output              : 1 test OK
+ *                       0 test KO
+ ********************************************
+ * test                : Addition
+ * warning             : instruction ok 
+ *                         l.addi
+ *                         l.and
+ *                         l.bf
+ *                         l.jal
+ *                         l.jr
+ *                         l.lwz
+ *                         l.movhi
+ *                         l.ori
+ *                         l.sfne
+ *                         l.sw
+ ********************************************
+ */
+	.file	"asm_001_add.s"
+	.section .text
+	.align	4
+
+	.global _asm_001_add
+_asm_001_add :
+	/* save context */
+	l.addi	r1,r1,-8
+	l.sw	 0(r1),r20
+	l.sw	 4(r1),r21
+		
+	/* Return is KO (default)*/
+	l.and   r11,r0,r0
+
+	l.add	r20,r0,r0	/* e + e = e */
+	
+	l.sfne	r20,r0
+	l.bf	_asm_001_add_ko
+	l.addi	r20,r0,1
+
+	l.addi	r21,r0,-1
+	l.add	r21,r21,r20	/* -1 + 1 */
+
+	l.sfne	r21,r0
+	l.bf	_asm_001_add_ko
+	l.movhi	r20,0xdead
+	l.ori  	r20,r0,0xbeaf
+
+	l.add	r21,r20,r0	/* X + e = X */
+	l.sfne	r21,r20
+	l.bf	_asm_001_add_ko
+	l.nop	0	
+
+	l.add	r21,r0,r20	/* e + X = X */
+	l.sfne	r21,r20
+	l.bf	_asm_001_add_ko
+	l.nop	0	
+		
+_asm_001_add_ok :	
+	l.addi	r11,r0,1
+_asm_001_add_ko :
+	
+	/* load context */
+	l.lwz	r21, 4(r1)
+	l.lwz	r20, 0(r1)
+		
+	l.jr	r9
+	l.addi	r1,r1,8
Index: /trunk/Softwares/Basic_test/src/asm/asm_002_addc.s
===================================================================
--- /trunk/Softwares/Basic_test/src/asm/asm_002_addc.s	(revision 88)
+++ /trunk/Softwares/Basic_test/src/asm/asm_002_addc.s	(revision 88)
@@ -0,0 +1,60 @@
+/********************************************
+ * files               : asm_002_addc.s
+ * authors             : Rosiere Mathieu
+ * date                : 2006/06/20
+ ********************************************
+ * input               : -
+ * output              : 1 test OK
+ *                       0 test KO
+ ********************************************
+ * test                : Test the carry
+ * warning             : instructions used
+ *                         l.add
+ *                         l.addi
+ *                         l.and
+ *                         l.bf
+ *                         l.jal
+ *                         l.jr
+ *                         l.sfne              
+ ********************************************
+ */
+	.file	"asm_002_addc.s"
+	.section .text
+	.align	4
+
+	.global _asm_002_addc
+_asm_002_addc :	
+	/* save context */
+	l.addi	r1,r1,-12
+	l.sw	0(r1),r20
+	l.sw	4(r1),r21
+	l.sw	8(r1),r22
+	/* Return is KO (default) */
+	l.and   r11,r0,r0
+
+	/*
+	 * R20 = 0x00000001
+	 * R21 = 0xFFFFFFFF
+	 * R22 = 0x00000000 and carry is set
+	 */
+	l.addi	r20,r0, 1
+	l.addi	r21,r0,-1
+	l.add	r22,r20,r21
+
+	/* Add the carry */
+	l.addc	r22,r0,r0
+	
+	l.sfne	r22,r20
+	l.bf	_asm_002_addc_ko
+	l.nop	0
+	
+_asm_002_addc_ok :	
+	l.addi	r11,r0,1
+
+_asm_002_addc_ko :
+	/* load context */
+	l.lwz	r22,8(r1)
+	l.lwz	r21,4(r1)
+	l.lwz	r20,0(r1)
+	l.jr	r9
+	l.addi	r1,r1,12
Index: /trunk/Softwares/Basic_test/src/asm/asm_003_extend.s
===================================================================
--- /trunk/Softwares/Basic_test/src/asm/asm_003_extend.s	(revision 88)
+++ /trunk/Softwares/Basic_test/src/asm/asm_003_extend.s	(revision 88)
@@ -0,0 +1,110 @@
+/********************************************
+ * files               : asm_003_extend.s
+ * authors             : Rosiere Mathieu
+ * date                : 2006/06/20
+ ********************************************
+ * input               : -
+ * output              : 1 test OK
+ *                       0 test KO
+ ********************************************
+ * test                : l.extbs, l.extbz, l.exthz, l.exths
+ * warning             : instruction ok 
+ *                         l.addi
+ *                         l.and
+ *                         l.jal
+ *                         l.jr
+ *                         l.lwz
+ *                         l.ori
+ *                         l.sw
+ ********************************************
+ */
+	.file	"asm_003_extend.s"
+	.section .text
+	.align	4
+
+	.global _asm_003_extend
+_asm_003_extend :	
+	/* save context */
+	l.addi	r1,r1,-12
+	l.sw	0 (r1),r20
+	l.sw	4 (r1),r21
+	l.sw	8 (r1),r22
+	/* Return is KO (default)*/
+	l.and   r11,r0,r0
+
+	/* WARNING  : gcc don't compile if l.extXX have not two source register */
+
+	/* step 1   : test extend byte */
+
+	/* step 1.1 : test with a variable not signed */
+
+	l.ori   r20,r0,0x007F
+
+	l.extbz	r22,r20
+	l.sfeq	r22,r20
+	l.bnf	_asm_003_extend_ko
+	l.nop	1
+
+	l.extbs	r22,r20
+	l.sfeq	r22,r20
+	l.bnf	_asm_003_extend_ko
+	l.nop	2
+	
+	/* step 1.2 : test with a varibale signed */
+	l.ori   r20,r0,0x0080
+	
+	l.movhi r21,0xFFFF
+	l.ori   r21,r21,0xFF80
+
+	l.extbz	r22,r20
+	l.sfeq	r22,r20
+	l.bnf	_asm_003_extend_ko
+	l.nop	3
+
+	l.extbs	r22,r20
+	l.sfeq	r22,r21
+	l.bnf	_asm_003_extend_ko
+	l.nop	4
+
+	/* step 2   : test extend half word */
+
+	/* step 2.1 : test with a variable not signed */
+
+	l.ori   r20,r0,0x7FFF
+
+	l.exthz	r22,r20
+	l.sfeq	r22,r20
+	l.bnf	_asm_003_extend_ko
+	l.nop	5
+
+	l.exths	r22,r20
+	l.sfeq	r22,r20
+	l.bnf	_asm_003_extend_ko
+	l.nop	6
+	
+	/* step 2.2 : test with a variable signed */
+	l.ori   r20,r0,0x8000
+	
+	l.movhi r21,0xFFFF
+	l.ori   r21,r21,0x8000
+
+	l.exthz	r22,r20
+	l.sfeq	r22,r20
+	l.bnf	_asm_003_extend_ko
+	l.nop	7
+
+	l.exths	r22,r20
+	l.sfeq	r22,r21
+	l.bnf	_asm_003_extend_ko
+	l.nop	8
+
+_asm_003_extend_ok :	
+	l.addi	r11,r0,1
+_asm_003_extend_ko :
+	
+	/* load context */
+	l.lwz	r22,8 (r1)
+	l.lwz	r21,4 (r1)
+	l.lwz	r20,0 (r1)
+	l.jr	r9
+	l.addi	r1,r1,12
Index: /trunk/Softwares/Basic_test/src/asm/asm_004_sfeq.s
===================================================================
--- /trunk/Softwares/Basic_test/src/asm/asm_004_sfeq.s	(revision 88)
+++ /trunk/Softwares/Basic_test/src/asm/asm_004_sfeq.s	(revision 88)
@@ -0,0 +1,221 @@
+/********************************************
+ * files               : asm_004_sfeq.s
+ * authors             : Rosiere Mathieu
+ * date                : 2006/06/22
+ ********************************************
+ * input               : -
+ * output              : 1 test OK
+ *                       0 test KO
+ ********************************************
+ * test                : test l.sfeq
+ * warning             : instruction ok 
+ *                         l.addi
+ *                         l.and
+ *                         l.bf
+ *                         l.bnf
+ *                         l.movhi
+ *                         l.jal
+ *                         l.jr
+ *		           l.lwz
+ *                         l.ori
+ *                         l.sw
+ ********************************************
+ */
+	.file	"asm_004_sfeq.s"
+	.section .text
+	.align	4
+
+	.global _asm_004_sfeq
+_asm_004_sfeq :	
+	/* save context */
+	l.addi	r1,r1,-8
+	l.sw	0 (r1),r21
+	l.sw	4 (r1),r22
+	/* Return is KO (default)*/
+	l.and   r11,r0,r0
+
+	/* Listing of test
+			|	R	I	I
+	Op1	Op2	|	F1	F2	F3
+	----------------+-------------------------------
+	+	+=	|	1	0	1
+	+	+>	|	0	0	0
+	+	+<	|	0	0	0
+	+	-	|	0	0	0
+	-	-=	|	1	1	0
+	-	->	|	0	0	0
+	-	-<	|	0	0	0
+
+	Op1 with :
+	Value on 32 bits		(result F1)
+	Value on 16 bits - extend 1	(result F2)
+	                 - extend 0	(result F3)
+	 */
+
+	/*************************/
+	/* F1 :	VALUE ON 32 BITS */
+	/*************************/
+	
+	/* Op1 : + */
+	l.movhi	r21,0x7ead
+	l.ori   r21,r21,0xbeaf
+
+	/* Op2 : += */
+	l.movhi	r22,0x7ead
+	l.ori   r22,r22,0xbeaf
+	
+	l.sfeq	r21,r22
+	l.bnf	_asm_004_sfeq_ko	/* if not set :	error */
+	l.nop	1
+
+	/* Op2 : +> */
+	l.movhi	r22,0x7ead
+	l.ori   r22,r22,0xbfaf
+
+	l.sfeq	r21,r22
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	2
+	
+	/* Op2 : +< */
+	l.movhi	r22,0x7ead
+	l.ori   r22,r22,0xbdaf
+
+	l.sfeq	r21,r22
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	3
+
+	/* Op2 : - */
+	l.movhi	r22,0xdead
+	l.ori   r22,r22,0xbeaf
+
+	l.sfeq	r21,r22
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	4
+	
+	/* Op1 : - */
+	l.movhi	r21,0xdead
+	l.ori   r21,r21,0xbeaf
+
+	/* Op2 : -= */
+		
+	l.sfeq	r21,r22
+	l.bnf	_asm_004_sfeq_ko	/* if not set :	error */
+	l.nop	5
+
+	/* Op2 : -> */
+	l.movhi	r22,0xdead
+	l.ori   r22,r22,0xbfaf
+
+	l.sfeq	r21,r22
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	6
+	
+	/* Op2 : -< */
+	l.movhi	r22,0xdead
+	l.ori   r22,r22,0xbdaf
+
+	l.sfeq	r21,r22
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	7
+
+	/************************************/
+	/* F2 :	VALUE ON 16 BITS - extend 1 */
+	/************************************/
+	/* Op1 : + */
+	l.movhi	r21,0xFFFF
+	l.ori   r21,r21,0x7ead
+
+	/* Op2 : += */
+	l.sfeqi	r21,0x7ead
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	1
+
+	/* Op2 : +> */
+	l.sfeqi	r21,0x7ebd
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	2
+	
+	/* Op2 : +< */
+	l.sfeqi	r21,0x7e9d
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	3
+
+	/* Op2 : - */
+	l.sfeqi	r21,0xdead
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	4
+	
+	/* Op1 : - */
+	l.movhi	r21,0xFFFF
+	l.ori   r21,r21,0xdead
+
+	/* Op2 : -= */
+	l.sfeqi	r21,0xdead
+	l.bnf	_asm_004_sfeq_ko	/* if not set :	error */
+	l.nop	5
+
+	/* Op2 : -> */
+	l.sfeqi	r21,0xdebd
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	6
+	
+	/* Op2 : -< */
+	l.sfeqi	r21,0xde9d
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	7
+	
+	/************************************/
+	/* F3 :	VALUE ON 16 BITS - extend 0 */
+	/************************************/
+	/* Op1 : + */
+	l.movhi	r21,0x0000
+	l.ori   r21,r21,0x7ead
+
+	/* Op2 : += */
+	l.sfeqi	r21,0x7ead
+	l.bnf	_asm_004_sfeq_ko	/* if not set :	error */
+	l.nop	1
+
+	/* Op2 : +> */
+	l.sfeqi	r21,0x7ebd
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	2
+	
+	/* Op2 : +< */
+	l.sfeqi	r21,0x7e9d
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	3
+
+	/* Op2 : - */
+	l.sfeqi	r21,0xdead
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	4
+	
+	/* Op1 : - */
+	l.movhi	r21,0x0000
+	l.ori   r21,r21,0xdead
+
+	/* Op2 : -= */
+	l.sfeqi	r21,0xdead
+	l.bf 	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	5
+
+	/* Op2 : -> */
+	l.sfeqi	r21,0xdebd
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	6
+	
+	/* Op2 : -< */
+	l.sfeqi	r21,0xde9d
+	l.bf	_asm_004_sfeq_ko	/* if     set :	error */
+	l.nop	7
+	
+					
+_asm_004_sfeq_ok :	
+	l.addi	r11,r0,1
+_asm_004_sfeq_ko :	
+	/* load context */
+	l.lwz	r22,4 (r1)
+	l.lwz	r21,0 (r1)
+	l.jr	r9
+	l.addi	r1,r1,8
Index: /trunk/Softwares/Basic_test/src/asm/asm_005_sfne.s
===================================================================
--- /trunk/Softwares/Basic_test/src/asm/asm_005_sfne.s	(revision 88)
+++ /trunk/Softwares/Basic_test/src/asm/asm_005_sfne.s	(revision 88)
@@ -0,0 +1,221 @@
+/********************************************
+ * files               : asm_005_sfne.s
+ * authors             : Rosiere Mathieu
+ * date                : 2006/06/22
+ ********************************************
+ * input               : -
+ * output              : 1 test OK
+ *                       0 test KO
+ ********************************************
+ * test                : test l.sfeq
+ * warning             : instruction ok 
+ *                         l.addi
+ *                         l.and
+ *                         l.bf
+ *                         l.bnf
+ *                         l.movhi
+ *                         l.jal
+ *                         l.jr
+ *		           l.lwz
+ *                         l.ori
+ *                         l.sw
+ ********************************************
+ */
+	.file	"asm_005_sfne.s"
+	.section .text
+	.align	4
+
+	.global _asm_005_sfne
+_asm_005_sfne :	
+	/* save context */
+	l.addi	r1,r1,-8
+	l.sw	0 (r1),r21
+	l.sw	4 (r1),r22
+	/* Return is KO (default)*/
+	l.and   r11,r0,r0
+
+	/* Listing of test
+			|	R	I	I
+	Op1	Op2	|	F1	F2	F3
+	----------------+-------------------------------
+	+	+=	|	0	1	0
+	+	+>	|	1	1	1
+	+	+<	|	1	1	1
+	+	-	|	1	1	1
+	-	-=	|	0	0	1
+	-	->	|	1	1	1
+	-	-<	|	1	1	1
+
+	Op1 with :
+	Value on 32 bits		(result F1)
+	Value on 16 bits - extend 1	(result F2)
+	                 - extend 0	(result F3)
+	 */
+
+	/*************************/
+	/* F1 :	VALUE ON 32 BITS */
+	/*************************/
+	
+	/* Op1 : + */
+	l.movhi	r21,0x7ead
+	l.ori   r21,r21,0xbeaf
+
+	/* Op2 : += */
+	l.movhi	r22,0x7ead
+	l.ori   r22,r22,0xbeaf
+	
+	l.sfne	r21,r22
+	l.bf	_asm_005_sfne_ko	/* if     set :	error */
+	l.nop	1
+
+	/* Op2 : +> */
+	l.movhi	r22,0x7ead
+	l.ori   r22,r22,0xbfaf
+
+	l.sfne	r21,r22
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	2
+	
+	/* Op2 : +< */
+	l.movhi	r22,0x7ead
+	l.ori   r22,r22,0xbdaf
+
+	l.sfne	r21,r22
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	3
+
+	/* Op2 : - */
+	l.movhi	r22,0xdead
+	l.ori   r22,r22,0xbeaf
+
+	l.sfne	r21,r22
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	4
+	
+	/* Op1 : - */
+	l.movhi	r21,0xdead
+	l.ori   r21,r21,0xbeaf
+
+	/* Op2 : -= */
+		
+	l.sfne	r21,r22
+	l.bf	_asm_005_sfne_ko	/* if     set :	error */
+	l.nop	5
+
+	/* Op2 : -> */
+	l.movhi	r22,0xdead
+	l.ori   r22,r22,0xbfaf
+
+	l.sfne	r21,r22
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	6
+	
+	/* Op2 : -< */
+	l.movhi	r22,0xdead
+	l.ori   r22,r22,0xbdaf
+
+	l.sfne	r21,r22
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	7
+
+	/************************************/
+	/* F2 :	VALUE ON 16 BITS - extend 1 */
+	/************************************/
+	/* Op1 : + */
+	l.movhi	r21,0xFFFF
+	l.ori   r21,r21,0x7ead
+
+	/* Op2 : += */
+	l.sfnei	r21,0x7ead
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	1
+
+	/* Op2 : +> */
+	l.sfnei	r21,0x7ebd
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	2
+	
+	/* Op2 : +< */
+	l.sfnei	r21,0x7e9d
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	3
+
+	/* Op2 : - */
+	l.sfnei	r21,0xdead
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	4
+	
+	/* Op1 : - */
+	l.movhi	r21,0xFFFF
+	l.ori   r21,r21,0xdead
+
+	/* Op2 : -= */
+	l.sfnei	r21,0xdead
+	l.bf 	_asm_005_sfne_ko	/* if     set :	error */
+	l.nop	5
+
+	/* Op2 : -> */
+	l.sfnei	r21,0xdebd
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	6
+	
+	/* Op2 : -< */
+	l.sfnei	r21,0xde9d
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	7
+	
+	/************************************/
+	/* F3 :	VALUE ON 16 BITS - extend 0 */
+	/************************************/
+	/* Op1 : + */
+	l.movhi	r21,0x0000
+	l.ori   r21,r21,0x7ead
+
+	/* Op2 : += */
+	l.sfnei	r21,0x7ead
+	l.bf	_asm_005_sfne_ko	/* if     set :	error */
+	l.nop	1
+
+	/* Op2 : +> */
+	l.sfnei	r21,0x7ebd
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	2
+	
+	/* Op2 : +< */
+	l.sfnei	r21,0x7e9d
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	3
+
+	/* Op2 : - */
+	l.sfnei	r21,0xdead
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	4
+	
+	/* Op1 : - */
+	l.movhi	r21,0x0000
+	l.ori   r21,r21,0xdead
+
+	/* Op2 : -= */
+	l.sfnei	r21,0xdead
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	5
+
+	/* Op2 : -> */
+	l.sfnei	r21,0xdebd
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	6
+	
+	/* Op2 : -< */
+	l.sfnei	r21,0xde9d
+	l.bnf	_asm_005_sfne_ko	/* if not set :	error */
+	l.nop	7
+	
+					
+_asm_005_sfne_ok :	
+	l.addi	r11,r0,1
+_asm_005_sfne_ko :	
+	/* load context */
+	l.lwz	r22,4 (r1)
+	l.lwz	r21,0 (r1)
+	l.jr	r9
+	l.addi	r1,r1,8
Index: /trunk/Softwares/Basic_test/src/asm/asm_006_sfges.s
===================================================================
--- /trunk/Softwares/Basic_test/src/asm/asm_006_sfges.s	(revision 88)
+++ /trunk/Softwares/Basic_test/src/asm/asm_006_sfges.s	(revision 88)
@@ -0,0 +1,221 @@
+/********************************************
+ * files               : asm_006_sfges.s
+ * authors             : Rosiere Mathieu
+ * date                : 2006/06/22
+ ********************************************
+ * input               : -
+ * output              : 1 test OK
+ *                       0 test KO
+ ********************************************
+ * test                : test l.sfeq
+ * warning             : instruction ok 
+ *                         l.addi
+ *                         l.and
+ *                         l.bf
+ *                         l.bnf
+ *                         l.movhi
+ *                         l.jal
+ *                         l.jr
+ *		           l.lwz
+ *                         l.ori
+ *                         l.sw
+ ********************************************
+ */
+	.file	"asm_006_sfges.s"
+	.section .text
+	.align	4
+
+	.global _asm_006_sfges
+_asm_006_sfges :	
+	/* save context */
+	l.addi	r1,r1,-8
+	l.sw	0 (r1),r21
+	l.sw	4 (r1),r22
+	/* Return is KO (default)*/
+	l.and   r11,r0,r0
+
+	/* Listing of test
+			|	R	I	I
+	Op1	Op2	|	F1	F2	F3
+	----------------+-------------------------------
+	+	+=	|	1	0	1
+	+	+>	|	0	0	0
+	+	+<	|	1	0	1
+	+	-   	|	1	0	1
+	-	-=	|	1	1	1
+	-	->	|	0	0	1
+	-	-<	|	1	1	1
+
+	Op1 with :
+	Value on 32 bits		(result F1)
+	Value on 16 bits - extend 1	(result F2)
+	                 - extend 0	(result F3)
+	 */
+
+	/*************************/
+	/* F1 :	VALUE ON 32 BITS */
+	/*************************/
+	
+	/* Op1 : + */
+	l.movhi	r21,0x7ead
+	l.ori   r21,r21,0xbeaf
+
+	/* Op2 : += */
+	l.movhi	r22,0x7ead
+	l.ori   r22,r22,0xbeaf
+	
+	l.sfges	r21,r22
+	l.bnf	_asm_006_sfges_ko	/* if not set :	error */
+	l.nop	1
+
+	/* Op2 : +> */
+	l.movhi	r22,0x7ead
+	l.ori   r22,r22,0xbfaf
+
+	l.sfges	r21,r22
+	l.bf	_asm_006_sfges_ko	/* if     set :	error */
+	l.nop	2
+	
+	/* Op2 : +< */
+	l.movhi	r22,0x7ead
+	l.ori   r22,r22,0xbdaf
+
+	l.sfges	r21,r22
+	l.bnf	_asm_006_sfges_ko	/* if not set :	error */
+	l.nop	3
+
+	/* Op2 : - */
+	l.movhi	r22,0xdead
+	l.ori   r22,r22,0xbeaf
+
+	l.sfges	r21,r22
+	l.bnf	_asm_006_sfges_ko	/* if not set :	error */
+	l.nop	4
+	
+	/* Op1 : - */
+	l.movhi	r21,0xdead
+	l.ori   r21,r21,0xbeaf
+
+	/* Op2 : -= */
+		
+	l.sfges	r21,r22
+	l.bnf	_asm_006_sfges_ko	/* if not set :	error */
+	l.nop	5
+
+	/* Op2 : -> */
+	l.movhi	r22,0xdead
+	l.ori   r22,r22,0xbfaf
+
+	l.sfges	r21,r22
+	l.bf	_asm_006_sfges_ko	/* if     set :	error */
+	l.nop	6
+	
+	/* Op2 : -< */
+	l.movhi	r22,0xdead
+	l.ori   r22,r22,0xbdaf
+
+	l.sfges	r21,r22
+	l.bnf	_asm_006_sfges_ko	/* if not set :	error */
+	l.nop	7
+	
+	/************************************/
+	/* F2 :	VALUE ON 16 BITS - extend 1 */
+	/************************************/
+	/* Op1 : + */
+	l.movhi	r21,0xFFFF
+	l.ori   r21,r21,0x7ead
+
+	/* Op2 : += */
+	l.sfgesi	r21,0x7ead
+	l.bf	_asm_006_sfges_ko	/* if     set :	error */
+	l.nop	1
+
+	/* Op2 : +> */
+	l.sfgesi	r21,0x7ebd
+	l.bf	_asm_006_sfges_ko	/* if     set :	error */
+	l.nop	2
+	
+	/* Op2 : +< */
+	l.sfgesi	r21,0x7e9d
+	l.bf	_asm_006_sfges_ko	/* if     set :	error */
+	l.nop	3
+
+	/* Op2 : - */
+	l.sfgesi	r21,0xdead
+	l.bf	_asm_006_sfges_ko	/* if     set :	error */
+	l.nop	4
+	
+	/* Op1 : - */
+	l.movhi	r21,0xFFFF
+	l.ori   r21,r21,0xdead
+
+	/* Op2 : -= */
+	l.sfgesi	r21,0xdead
+	l.bnf	_asm_006_sfges_ko	/* if not set :	error */
+	l.nop	5
+
+	/* Op2 : -> */
+	l.sfgesi	r21,0xdebd
+	l.bf	_asm_006_sfges_ko	/* if     set :	error */
+	l.nop	6
+	
+	/* Op2 : -< */
+	l.sfgesi	r21,0xde9d
+	l.bnf	_asm_006_sfges_ko	/* if not set :	error */
+	l.nop	7
+
+	/************************************/
+	/* F3 :	VALUE ON 16 BITS - extend 0 */
+	/************************************/
+	/* Op1 : + */
+	l.movhi	r21,0x0000
+	l.ori   r21,r21,0x7ead
+
+	/* Op2 : += */
+	l.sfgesi	r21,0x7ead
+	l.bnf	_asm_006_sfges_ko	/* if not set :	error */
+	l.nop	1
+
+	/* Op2 : +> */
+	l.sfgesi	r21,0x7ebd
+	l.bf	_asm_006_sfges_ko	/* if     set :	error */
+	l.nop	2
+	
+	/* Op2 : +< */
+	l.sfgesi	r21,0x7e9d
+	l.bnf	_asm_006_sfges_ko	/* if not set :	error */
+	l.nop	3
+
+	/* Op2 : - */
+	l.sfgesi	r21,0xdead
+	l.bnf	_asm_006_sfges_ko	/* if not set :	error */
+	l.nop	4
+	
+	/* Op1 : - */
+	l.movhi	r21,0x0000
+	l.ori   r21,r21,0xdead
+
+	/* Op2 : -= */
+	l.sfgesi	r21,0xdead
+	l.bnf	_asm_006_sfges_ko	/* if not set :	error */
+	l.nop	5
+
+	/* Op2 : -> */
+	l.sfgesi	r21,0xdebd
+	l.bnf	_asm_006_sfges_ko	/* if not set :	error */
+	l.nop	6
+	
+	/* Op2 : -< */
+	l.sfgesi	r21,0xde9d
+	l.bnf	_asm_006_sfges_ko	/* if not set :	error */
+	l.nop	7
+	
+					
+_asm_006_sfges_ok :	
+	l.addi	r11,r0,1
+_asm_006_sfges_ko :	
+	/* load context */
+	l.lwz	r22,4 (r1)
+	l.lwz	r21,0 (r1)
+	l.jr	r9
+	l.addi	r1,r1,8
